Loading...
Searching...
No Matches
amplist.h File Reference
Amplifier API

Hamlib amplifier model definitions. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | AMP_MODEL_NONE 0
| A macro that returns the model number for an unknown model.
#define | AMP_MODEL_DUMMY AMP_MAKE_MODEL(AMP_DUMMY, 1)
| A macro that returns the model number for the DUMMY backend.
#define | AMP_MODEL_NETAMPCTL AMP_MAKE_MODEL(AMP_DUMMY, 2)
| A macro that returns the model number for the NETAMPCTL backend.
#define | AMP_MODEL_ELECRAFT_KPA1500 AMP_MAKE_MODEL(AMP_ELECRAFT, 1)
| A macro that returns the model number of the KPA1500 backend.
#define | AMP_GEMINI 3
#define | AMP_BACKEND_GEMINI "gemini"
#define | AMP_MODEL_GEMINI_DX1200 AMP_MAKE_MODEL(AMP_GEMINI, 1)
#define | AMP_EXPERT 4
#define | AMP_BACKEND_EXPERT "expert"
#define | AMP_MODEL_EXPERT_FA AMP_MAKE_MODEL(AMP_EXPERT, 1)

## Typedefs

typedef int | amp_model_t
| Convenience type definition for an amplifier model.

## Detailed Description

Hamlib amplifier model definitions.

This file contains amplifier model definitions for the Hamlib amplifier Application Programming Interface (API). Each distinct amplifier type has a unique model number (ID) and is used by Hamlib to identify and distinguish between the different hardware drivers. The exact model numbers can be acquired using the macros in this file. To obtain a list of supported amplifier branches, one can use the statically defined AMP_BACKEND_LIST macro (defined in configure.ac). To obtain a full list of supported amplifiers (including each model in every branch), the foreach_opened_amp() API function can be used.

The model number, or ID, is used to tell Hamlib which amplifier the client wishes to use which is done with the amp_init() API call.